AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
  - Reading
License: GPL-3.0-or-later
AuthorName: ManeraKai
SourceCode: https://github.com/ManeraKai/simplytranslate_mobile
IssueTracker: https://github.com/ManeraKai/simplytranslate_mobile/issues

AutoName: SimplyTranslate Mobile

RepoType: git
Repo: https://github.com/ManeraKai/simplytranslate_mobile

Builds:
  - versionName: 1.1.1
    versionCode: 3
    commit: v1.1.1
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - .vscode
      - ios
    prebuild: sed -i -e 's|git@github.com:|https://github.com/|' pubspec.lock pubspec.yaml
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.1.2
    versionCode: 4
    commit: f9c60c962acb2bfe412bea52cf64d91509d1f470
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - .vscode
      - ios
    prebuild: sed -i -e 's|git@github.com:|https://github.com/|' pubspec.lock pubspec.yaml
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.1.3
    versionCode: 5
    commit: bc4eeab8afc93e9e5af2c967efe3e07692d6b154
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - .vscode
      - ios
    prebuild: sed -i -e 's|git@github.com:|https://github.com/|' pubspec.lock pubspec.yaml
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.1.4
    versionCode: 6
    commit: b7b7cb6eb5311a3a2c31b4452c0603ec7fb57871
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.0
    rm:
      - .vscode
      - ios
    prebuild: sed -i -e 's|git@github.com:|https://github.com/|' pubspec.lock pubspec.yaml
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.2.0
    versionCode: 7
    commit: cec50849ee61177fea4fca23921685889e95d56d
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.0
    rm:
      - .vscode
      - ios
    prebuild: sed -i -e 's|git@github.com:|https://github.com/|' pubspec.lock pubspec.yaml
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.2.0
CurrentVersionCode: 7
